# Class VcfLof

java.lang.Object
org.snpeff.vcf.VcfLof

Direct Known Subclasses:
  `VcfNmd`

public class VcfLof extends Object
An 'LOF' entry in a vcf line

Author:
  pablocingolani

## Constructor Summary

Constructors
Constructor
Description
`VcfLof(String lofStr)`
`VcfLof(String geneName, String geneId, int numTranscripts, double percentAffected)`
`VcfLof(Gene gene, double percentAffected)`
`VcfLof(VcfEntry vcfEntry, String lofStr)`

## Method Summary

Modifier and Type
Method
Description
`static int`
`fieldNum(String name)`
Convert from field name to field number
`String`
`getGeneId()`
`String`
`getGeneName()`
`int`
`getNumTranscripts()`
`double`
`getPercentAffected()`
`String`
`getPercentAffectedStr()`
`VcfEntry`
`getVcfEntry()`
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### VcfLof

public VcfLof(Gene gene, double percentAffected)

### VcfLof

public VcfLof(String lofStr)

### VcfLof

public VcfLof(String geneName, String geneId, int numTranscripts, double percentAffected)

### VcfLof

public VcfLof(VcfEntry vcfEntry, String lofStr)

## Method Details

### fieldNum

public static int fieldNum(String name)
Convert from field name to field number

### getGeneId

public String getGeneId()

### getGeneName

public String getGeneName()

### getNumTranscripts

public int getNumTranscripts()

### getPercentAffected

public double getPercentAffected()

### getPercentAffectedStr

public String getPercentAffectedStr()

### getVcfEntry

public VcfEntry getVcfEntry()

### toString

public String toString()

Overrides:
  `toString` in class `Object`